// Generated by CoffeeScript 1.9.0
var createObject;

createObject = void 0;

createObject = function() {
  var category, tgPID, tgSID, title;
  category = void 0;
  tgPID = void 0;
  tgSID = void 0;
  title = void 0;
  tgSID = $('input#tgSID').val();
  tgPID = $('input#tgPID').val();
  category = $('input#object-category').val();
  title = $('input#object-title').val();
  return $.ajax({
    url: 'http://www.idiom-projekt.de/idiommask/db/create',
    type: 'POST',
    data: {
      'tgSID': tgSID,
      'tgPID': tgPID,
      'category': category,
      'title': title
    },
    dataType: 'json',
    encodeRequest: true
  });
};


/* Interaction
 */

$(document).on('click', 'li#create-new-object', function(e) {
  var $this;
  console.log("haha");
  e.preventDefault();
  $this = $(this);
  return $('div#object-modal').modal('show');
});


/* Run
 */
